@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700&display=swap");
html {
    box-sizing: border-box;
    font: 62.5% "Open Sans", sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

body {
    color: #353b48;
    font-size: 1.6rem;
    margin: 0;
    padding: 0;
}

h1,
h3,
p {
    margin: 0;
}

/* login */

section {
    display: flex;
}

nav {
    position: absolute;
    top: 0;
    display: flex;
    width: 100%;
}

.brand-logo {
    width: auto;
    max-height: 33px;
}

.h2 {
    margin-top: 0;
    font-size: 2.4em;
    padding: 0px 37px;
    font-weight: 600;
    line-height: 46px;
    font-style: normal;
}

.h2-sider-banner {
    height: 50%;
}

.nav-section {
    padding: 20px 40px;
}

/* nav  */

.nav {
    height: 63px;
    width: 100%;
    display: flex;
    background-color: #fff;
    position: relative;
    box-shadow: 1px 5px 5px 0px rgb(0 0 0 / 8%);
    padding: 6px 32px;
}

.nav > .nav-header {
    display: inline;
}

.nav > .nav-header > .nav-title {
    display: inline-block;
    font-size: 22px;
    color: #fff;
    padding: 10px 10px 10px 10px;
}

.nav > .nav-btn {
    display: none;
}

.nav > .nav-links {
    display: flex;
    float: right;
    width: 100%;
    justify-content: end;
}

.nav > .nav-links > .nav-items {
    display: flex;
    float: right;
    font-size: 18px;
    margin: 0;
}

.nav > .nav-links > .profile-link > a,
.nav > .nav-links > .nav-items > a {
    display: inline-block;
    padding: 13px 10px 13px 10px;
    text-decoration: none;
    color: #353b48;
}

.nav > .nav-links > .profile-link > a:hover,
.nav > .nav-links > .nav-items > a:hover {
    background-color: rgb(228 228 228 / 25%);
}

.profile {
    background: #fdeeee;
    padding: 10px;
    border-radius: 50%;
    margin: 0px 7px;
    color: #f97b7b;
}

.profile-link {
    padding: 0px 20px;
}

.nav > #nav-check {
    display: none;
}

@media (max-width: 600px) {
    .nav > .nav-btn {
        display: inline-block;
        position: absolute;
        right: 16px;
        top: 6px;
    }
    .nav > .nav-btn > label {
        display: inline-block;
        width: 50px;
        height: 50px;
        padding: 13px;
    }
    .profile-link {
        display: flex;
        text-align: center;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .profile {
        padding: 21px;
        color: #f97b7b;
        width: 100px;
        font-size: 2.4em;
        height: 100px;
    }
    .nav > .nav-btn > label:hover,
    .nav #nav-check:checked ~ .nav-btn > label {
        background-color: rgba(0, 0, 0, 0.03);
        border-radius: 50%;
    }
    .nav > .nav-btn > label > span {
        display: block;
        width: 25px;
        height: 10px;
        border-top: 2px solid #353b48;
    }
    .nav > .nav-links {
        position: absolute;
        justify-content: flex-end;
        display: flex;
        flex-direction: column-reverse;
        width: 100%;
        background-color: #333;
        height: 0px;
        transition: all 0.3s ease-in;
        overflow-y: hidden;
        top: 64px;
        left: 0px;
    }
    .nav > .nav-links > .nav-items {
        display: block;
    }
    .nav > .nav-links > .nav-items > a {
        display: block;
        width: 100%;
        padding: 0px 39px;
    }
    .nav > .nav-links > .profile-link > a:hover,
    .nav > .nav-links > .nav-items > a:hover {
        background-color: rgb(228 228 228 / 10%);
    }
    .nav > .nav-links > .nav-items > a {
        display: block;
        width: 100%;
        padding: 15px 39px;
    }
    .nav > #nav-check:not(:checked) ~ .nav-links {
        height: 0px;
    }
    .nav > .nav-links > .profile-link > a,
    .nav > .nav-links > .nav-items > a {
        color: #fff;
    }
    .nav > #nav-check:checked ~ .nav-links {
        height: calc(100vh - 64px);
        overflow-y: auto;
        padding: 17px 0px;
    }
}

.auth-p {
    position: absolute;
    top: 20px;
    right: 40px;
}

/* nav */

.left-div {
    background: #f4f5fa;
    display: flex;
    flex-direction: column;
    padding: 105px 0px;
    justify-content: center;
    align-items: center;
    width: 413px;
}

.left-graphic {
    width: inherit;
    max-width: 360px;
}

.nav-section {
    width: 50%;
}

.nav-signup-text {
    text-align: right;
}

.login-form {
    max-width: 50%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.form span.toggleconfirmpasswordspan,
.form span.password-action {
    cursor: pointer;
    right: -1%;
    top: 17%;
    position: absolute;
    width: 64px;
    height: 22px;
    font-family: Inter;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0.3px;
    color: rgba(21, 21, 21, 0.4);
}

.red-color {
    color: red;
}

#rememberMe {
    width: auto;
}

.login-form h1 {
    color: #1e68d8;
    font-size: 5rem;
    padding-bottom: 20px;
}

.login-form p {
    font-size: 1.8rem;
}

.login-form h3 {
    padding-bottom: 10px;
}

.form {
    display: flex;
    flex-wrap: wrap;
    margin: 25px 0;
}

.form > * {
    flex: 100%;
}

.input-control {
    width: 100%;
    border: 1px solid #dcdde1;
    border-radius: 5px;
    padding: 15px;
}

.input-control:focus {
    outline: none;
    border-color: rgba(30, 104, 216, 0.4);
    box-shadow: 0 0 4px rgba(30, 104, 216, 0.5);
}

label {
    margin-bottom: 5px;
}

.error-msg {
    color: red;
    margin: 0;
    margin-bottom: 12px;
    font-weight: 800;
    font-style: normal;
}
.success-msg {
    color: #4bb542;
    margin: 0;
    margin-bottom: 12px;
    font-weight: 800;
    font-style: normal;
}

.login-heading {
    width: 100%;
}

.checkbox-field {
    display: inline-block;
    float: left;
}

.btn {
    border: none;
    border-radius: 3px;
    font-family: inherit;
    font-weight: 700;
    font-size: 1.5rem;
    padding: 13px 25px;
    transition: background-color linear 0.3s;
}

.m-5 {
    margin: 5%;
}

.pr-5 {
    padding-right: 5px;
}

.pl-5 {
    padding-left: 5px;
}

.default-btn {
    background-color: #f4f5fa;
    color: #353b48;
}

.btn-primary {
    background-color: #1e68d8;
    color: #fff;
}

.btn-primary:active,
.btn-primary:hover {
    background-color: #1954ad;
    color: #fff;
}

.default-btn:active,
.default-btn:hover {
    background-color: #1e68d8;
    color: #fff;
}

.a-default {
    font-size: 1.5rem;
    color: #1e68d8;
    text-decoration: none;
    transition: color ease-in 0.3s;
}

#isAgreed {
    width: auto;
}

.flex {
    display: flex;
}

.padding {
    &-0 {
        padding: 0px !important;
    }
    &-5 {
        padding: 5px !important;
    }
    &-25 {
        padding: 25px !important;
    }
    &-50 {
        padding: 50px !important;
    }
    &-75 {
        padding: 75px !important;
    }
    &-100 {
        padding: 100px !important;
    }
    &-top {
        &-0 {
            padding-top: 0px !important;
        }
        &-15 {
            padding-top: 15px !important;
        }
    }
    &-right {
        &-0 {
            padding-top: 0px !important;
        }
        &-5 {
            padding-top: 5px !important;
        }
    }
    &-left {
        &-0 {
            padding-top: 0px !important;
        }
        &-5 {
            padding-top: 5px !important;
        }
    }
}

.auth-logo {
    position: absolute;
    top: 20px;
    left: 40px;
    width: 70px;
}

.footer {
    margin-bottom: 0;
    text-align: center;
    text-align: center;

    color: rgba(21, 21, 21, 0.6);
    padding: 15px 0px;
}

/* media queries */

@media (max-width: 720px) {
    section {
        flex-direction: column;
    }
    .h2-sider-banner {
        padding-bottom: 0 !important;
        text-align: center;
    }
    .left-div {
        width: 100%;
    }
    .login-form {
        max-width: 100%;
        padding: 10%;
    }
}

.h2-home-side-banner {
    height: 100%;
    padding: 0px 49px;
}

.h2-home-side-banner > h2 {
    padding: 0px;
}

.home-wrapper {
    max-width: 40%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5%;
}

.illustrator {
    max-width: 28em;
}

.right-section {
    display: flex;
    flex-direction: column;
}

.w-65 {
    min-width: 65%;
}

.cursor-pointer {
    cursor: pointer;
}

